#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <qpushbutton.h>

#include "mainwindowbase.h"
#include "tabledata.h"

class Config;

class ElementButton : public QPushButton
{
	Q_OBJECT

public:
	enum DisplayMode { 
		Symbols = 0, 
		Numbers };

	ElementButton(TableEntry &entry, DisplayMode &mode, bool color, QWidget *parent);

	TableEntry entry() { return _entry; }

protected slots:
	void slotClicked();

private:
	TableEntry _entry;

};

class MainWindow : public MainWindowBase
{
	Q_OBJECT

public:
	MainWindow(QWidget *parent = 0, const char *name = 0, WFlags fl = 0);
	~MainWindow();

protected:
	void drawField();
	void keyReleaseEvent(QKeyEvent *event);

protected slots:
	void slotColor();
	void slotDispSymbols();
	void slotDispNumbers();
	void slotResizeField();
	void slotAbout();

private:
	QWidget *_scrollField, *_field;
	int _fieldWidth, _fieldHeight;
	ElementButton::DisplayMode _dispMode;
	bool _color;
	Config *_config;

};

#endif
