#include <qtoolbutton.h>
#include <qscrollview.h>
#include <qpopupmenu.h>
#include <qaction.h>

#include <qpe/resource.h>

#include "mainwindowbase.h"

static const char * edge_xpm[] = {
"8 8 2 1",
" 	c None",
".	c #000000",
"        ",
" ...... ",
" .....  ",
" ....   ",
" ...    ",
" ..     ",
" .      ",
"        "};

MainWindowBase::MainWindowBase(QWidget *parent, const char *name, WFlags fl)
	: QScrollView(parent, name, fl)
{
	setCaption(tr("Periodic Table of Elements"));

	QPopupMenu *menu = new QPopupMenu();

	menuButton = new QToolButton(this);
	menuButton->setPixmap(QPixmap((const char **)edge_xpm));
	menuButton->setPopup(menu);
	menuButton->setPopupDelay(0);
	setCornerWidget(menuButton);

	color = new QAction(tr("Color"), QIconSet(0), 0, 0, this, 0, true);
	color->addTo(menu);	

	menu->insertSeparator();

	QActionGroup *displayGroup = new QActionGroup(this);

	dispSymbol = new QAction(tr("Display Symbols"), QIconSet(0), 0, 0, displayGroup, 0, true);
	dispNumber = new QAction(tr("Display Numbers"), QIconSet(0), 0, 0, displayGroup, 0, true);

	displayGroup->addTo(menu);

	menu->insertSeparator();

	about = new QAction(tr("About"), QIconSet(Resource::loadPixmap("help_icon")), 0, 0, this);
	about->addTo(menu);

	quit = new QAction(tr("Quit"), QIconSet(Resource::loadPixmap("quit_icon")), 0, 0, this);
	quit->addTo(menu);
}

