#ifndef TABLEDATA_H
#define TABLEDATA_H

#include <qobject.h>

#define ELEMENTS	118

class TableEntry 
{
public:
	enum InfoTypes 
	{
		NAME = 0,
		SYMBOL,
		NUMBER,
		WEIGHT,
		DENSITY,
		MELTING,
		BOILING,
		ATOMIC_RADIUS,
		COVALENT_RADIUS,
		IONIC_RADIUS,
		ATOMIC_VOLUME, 
		SPECIFIC_HEAT,
		FUSION_HEAT,
		EVAPORATION_HEAT,
		TERMAL_CONDUCTIVITY,
		PAULING,
		ENERGY,
		OXIDATION,
		CONFIGURATION,
		LATTICE,
		LATTICE_CONSTANT,
		MAX_INFO_NR
	};

	QString info[MAX_INFO_NR];
	int x;
	int y;
	int depth;
	int red;
	int green;
	int blue;
};

class TableData : public QObject
{
	Q_OBJECT

public:
	TableData();

	TableEntry header() { return _header; }
	TableEntry *data() { return _data; }

private:
	TableEntry _header;
	TableEntry _data[ELEMENTS];

};

#endif

